<script lang="ts">
    import { onMount } from 'svelte';
    import Icon from 'svelte-awesome';
    import TooltipFooter from './Tooltip/TooltipFooter.svelte';
    import exclamationCircle from 'svelte-awesome/icons/exclamationCircle';
    import checkCircle from 'svelte-awesome/icons/checkCircle';
    import timesCircle from 'svelte-awesome/icons/timesCircle';

    import { periNET } from '$lib/index.js';

    let app_name: string = "";
    let element_name: string = "";

    function node_config() {
        periNET.node_config.get_application_name()
            .then(
                (result) => { app_name = result; },
                (error)  => { console.log(error); }
            );

        periNET.node_config.get_element_name()
            .then (
                (result) => { element_name = result; },
                (error) => { console.log(error); }
            );
    }

    onMount(() => {
        node_config();
    });

    $: if(app_name.length == 0) {
            app_name = "Application name";
        }
    $: if(element_name.length == 0) {
            element_name = "Element name";
        }

</script>


<div class="footer">
    <div class="line">
        <div class="childs">{app_name}</div>
        <div class="childs">{element_name}</div>
        <!-- <div class="childs">
            <TooltipFooter
                text="Mqtt: connection lost">
                <Icon data={exclamationCircle} style="color:orange" />
            </TooltipFooter>
        </div> -->
        <div class="childs">
            <TooltipFooter
                text="Node: connection lost">
                <Icon data={exclamationCircle} style="color:red" />
            </TooltipFooter>
        </div>
        <!-- <Icon data={checkCircle} style="color:green"/> -->
    </div>
</div>

<style>
    .footer {
        position: fixed;
        width: 100%;
        background-color: #f6f6f6;
        bottom: 0;
        padding-top: 2px;
        padding-bottom: 2px;
        color:#999999;
    }
    .footer .line {
        display:flex;
        justify-content: space-between;
    }
    .footer .line .childs {
        margin-left: 5px;
        margin-right: 5px;
    }

</style>
